#2178 closed defect (fixed)

Classic API semaphore counts are wrong in confdefs.h

Reported by: Chris Johns Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Gedare Bloom)

The beagleboardmx BSP fails fsdosfsformat01 while it passes with the sis bsp. The bbxm fails mounting the msdos file system with a "too many" error because there are not enough semaphores. The bbxm and the sis both configure 13 semaphores. This is libio 1, 5 for termios, 6 for bfbuf, and the test defines 1. This total has not taken into account the sparse disk and dosfs each have 1. The test is only passing because termios on the sis is not task driven and only uses 4 of the allocated 5.

I assume the test's 1 is for the sparse disk which means the dosfs is not taken into account.

Should every declared file system add to the total or should the test define 2 ?

A number of tests fail in the same manner.

Attachments (1)

pr2178-confdefs-fs-sema-count.diff (3.6 KB) - added by Chris Johns on Apr 25, 2014 at 5:07:43 AM.
Account for the file system semaphores.

Download all attachments as: .zip

Change History (5)

Changed on Apr 25, 2014 at 5:07:43 AM by Chris Johns

Account for the file system semaphores.

comment:1 Changed on Apr 25, 2014 at 5:07:43 AM by Chris Johns

comment:2 Changed on Nov 21, 2014 at 7:51:14 PM by Joel Sherrill

Description: modified (diff)

Was this pushed? Can this be closed?

comment:3 Changed on Dec 19, 2014 at 4:29:15 AM by Gedare Bloom

Description: modified (diff)
Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.